
from django.db import migrations

from lofar.sas.tmss.tmss.tmssapp.populate import *

class Migration(migrations.Migration):

    dependencies = [
        ('tmssapp', '0001_initial'),
    ]

    # Start SubTask id with 2 000 000 to avoid overlap with 'old' (test/production) OTDB
    operations = [ migrations.RunSQL('ALTER SEQUENCE tmssapp_SubTask_id_seq RESTART WITH 2000000;'),
                   migrations.RunPython(populate_choices),
                   migrations.RunPython(populate_misc),
                   migrations.RunPython(populate_lofar_json_schemas) ]
